Package: org.grails.compiler.boot

## [Groovy] Class BootInitializerClassInjector

- org.grails.compiler.boot.BootInitializerClassInjector

- A transformation that automatically produces a Spring servlet initializer for a class that extends GrailsConfiguration. Given a class "Application" that extends GrailsAutoConfiguration, it produces:

       class ApplicationLoader extends SpringBootServletInitializer {

           protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
               return application.sources(Application)
           }
       }

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `GRAILS_CONFIGURATION_CLASS_NODE` |
    `static org.codehaus.groovy.ast.ClassNode` | `PLUGIN_SOURCE_ANNOTATION` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GlobalClassInjectorAdapter` | `performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, shouldInject`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode GRAILS_CONFIGURATION_CLASS_NODE

    - #### public static final org.codehaus.groovy.ast.ClassNode PLUGIN_SOURCE_ANNOTATION

  - ### Method Detail

    - #### @java.lang.Override void performInjectionInternal(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)